Create server
curl --request POST \
--url https://api.example.com/v1/api/servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "<string>",
"ssh": {
"username": "<string>",
"host": "<string>",
"port": 32768
},
"buildConcurrency": 8,
"previewBuildConcurrency": 2,
"proxy": {}
}
'import requests
url = "https://api.example.com/v1/api/servers"
payload = {
"ip": "<string>",
"ssh": {
"username": "<string>",
"host": "<string>",
"port": 32768
},
"buildConcurrency": 8,
"previewBuildConcurrency": 2,
"proxy": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ip: '<string>',
ssh: {username: '<string>', host: '<string>', port: 32768},
buildConcurrency: 8,
previewBuildConcurrency: 2,
proxy: {}
})
};
fetch('https://api.example.com/v1/api/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server": {
"setupStatus": "preparing"
},
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Create server through the Towbar REST API.
POST
/
servers
Create server
Required permissions: server.update. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on September 5, 2026
